#
# spec file for package wxapt
#
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

Name:          wxapt
Summary:       Commandline decoder for APT images from weather satellites
Version:       1.7.2
Release:       lp160.17.15
License:       GPL-3.0
Group:         Productivity/Hamradio/Other
Url:           http://5b4az.chronos.org.uk/pages/apt.html
Source:        http://5b4az.chronos.org.uk/pkg/apt/wxapt/%{name}-%{version}.tar.bz2
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: alsa-devel
BuildRequires: rtl-sdr-devel

%description
wxapt is a non-interactive command line tool for decoding weather images
transmitted by satellites using the APT format. Currently wxapt can decode
images in the American NOAA and Russian Meteor satellite APT formats. Images
are decoded either in real time, direct from the receiver's o/p and through the
computer's sound card, or from a file of sound samples recorded by wxapt.


%prep
%setup -q

%build
./autogen.sh
%configure --prefix=/usr
make

%install
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%{_bindir}/*
%doc AUTHORS README doc/wxapt.html
%if 0%{?suse_version} >= 1330
%license COPYING
%else
%doc COPYING
%endif


%changelog
* Thu Aug 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- updated to version 1.7.2
- previous patch removed (no more needed - autogen.sh was modified)
* Thu Feb 21 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- updated to version 1.7.1
- added patch wxapt--finnd-latest-automake.patch to find latest
  automake 1.16 in Tumbleweed
  * Thu Feb 14 2013 Wojciech Kazubski <wk at ire.pw.edu.pl> - 1.5-17.1
- version 1.5
- specfile rewrited
* Sat Oct  4 2008 dl9pf@gmx.de
- fix for factory
* Sat Jun  7 2008 dl9pf@gmx.de
-Imported into Build Service
